Bug 436480 - NameError: global name 'partitionObjectsInitialize' is not defined
Summary: NameError: global name 'partitionObjectsInitialize' is not defined
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-07 14:39 UTC by James Laska
Modified: 2013-09-02 06:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-21 20:16:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (327.94 KB, text/plain)
2008-03-07 14:39 UTC, James Laska
no flags Details

Description James Laska 2008-03-07 14:39:50 UTC
Description of problem:

Adding an iSCSI remote drive while in text-mode tracebacks

Version-Release number of selected component (if applicable):

anaconda-11.4.0.48-1

How reproducible:
100%

Steps to Reproduce:
1. Start text mode install
2. At drive selection, press <F2> to add a drive
3. Select to add an iSCSI volume
4. Enter valid IQN and Target IP for an iSCSI volume

  
Actual results:
anaconda 11.4.0.48 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/textw/partition_text.py", line 1587, in __call__
    partitionObjectsInitialize(anaconda)
  File "/usr/lib/anaconda/text.py", line 678, in run
    rc = win(self.screen, instance)
  File "/usr/bin/anaconda", line 1073, in <module>
    anaconda.intf.run(anaconda)
NameError: global name 'partitionObjectsInitialize' is not defined

Somehow the definition of partitionObjectsInitialize() in partitions.py isn't
making it into textw/parition_text.py.  Missing import?

Expected results:
No traceback

Additional info:

Have not yet tested on any other platforms, but I don't suspect this is platform
specific

Comment 1 James Laska 2008-03-07 14:39:50 UTC
Created attachment 297189 [details]
anacdump.txt

Comment 2 Jeremy Katz 2008-03-07 14:54:36 UTC
Fixed in git

Comment 3 Bug Zapper 2008-05-14 05:50:52 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.